# Type Alias LayerProperties

LayerProperties: LayerJson & {
$portalItem?: PortalItemLike;
$ref?: string | LayerReference;
}

Properties that can be specified for the mapping/_LayerExtension!LayerExtensionProperties.layer property.

#### Type declaration

- ##### `Optional`$portalItem?: PortalItemLike

  When present, mapping/_LayerExtension!LayerExtension.layer will be loaded from the given web layer in Portal. The web layer can be specified either as a PortalItem object, or simply using the portal item ID.

- ##### `Optional`$ref?: string | LayerReference

  A reference to an existing layer, which is the ID or title of the layer (or both). In this case, the layer extension will attempt to find an existing layer instead of creating one.